Package com.datecs.fiscalprinter.SDK.model.UserLayerV1

# Class cmdConfig.DateTime

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdConfig
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdConfig.DateTime

Enclosing class:
  cmdConfig

    public static class cmdConfig.DateTime
    extends cmdConfig

Maintenance date and time of fiscal devices

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdConfig

  `cmdConfig.Baudrate, cmdConfig.DateTime, cmdConfig.HeaderFooter, cmdConfig.LANSettings`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DateTime()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getDate()` |
  `java.lang.String` | `getDateTime()` |
  `java.lang.String` | `getTime()` |
  `void` | `setDateTime​(java.lang.String dateTime)` | Set date and time The command can be executed only one time after daily Z report.
  `void` | `setDateTime​(java.lang.String date, java.lang.String time)` | Set date and time The command can be executed only one time after daily Z report.

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdConfig

  `GetAutoPaperCutting, GetAutoPaperCutting, GetBarcodeHeight, GetDepartmentPrint, GetDrawerOpening, GetExchangeRate, GetFontType, GetForeignPrint, GetInvoiceInterval, GetLANSettings, GetLogoHeight, GetLogoPrint, GetPayName, GetPrintVAT, GetPrnQuality, GetReceiptFormat, GetSpaceLines, Logo_ReadRow, Logo_SaveToDevice, Logo_WriteRow, SetBarcodeHeight, SetCodePageDOS856, setDepartment, SetDepartmentPrint, SetDrawerOpening, SetFontType, SetForeignPrint, SetFpComBaudRate, SetInvoiceInterval, SetLANSettings, SetLogoPrint, SetOperName, SetOperPasw, SetPayName, SetPrintVAT, SetPrnQuality, SetReceiptFormat, SetSpaceLines`

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DateTime

    public DateTime()

- ## Method Details

  - ### getDateTime

    public java.lang.String getDateTime() throws java.lang.Exception
    Returns:
      Date and time in format: "DD-MM-YY hh:mm:ss DST";
    Throws:
      `java.lang.Exception`

  - ### getDate

    public java.lang.String getDate() throws java.lang.Exception
    Returns:
      Date in format: "DD-MM-YY";
    Throws:
      `java.lang.Exception`

  - ### getTime

    public java.lang.String getTime() throws java.lang.Exception
    Returns:
      Time in format: "hh:mm:ss DST"
    Throws:
      `java.lang.Exception`

  - ### setDateTime

    public void setDateTime​(java.lang.String date, java.lang.String time) throws java.lang.Exception
    Set date and time The command can be executed only one time after daily Z report.
    Parameters:
      `date` - Date in format: DD-MM-YY
      `time` - Time in format: hh:mm:ss DST
    Throws:
      `java.lang.Exception`

  - ### setDateTime

    public void setDateTime​(java.lang.String dateTime) throws java.lang.Exception
    Set date and time The command can be executed only one time after daily Z report.
    Parameters:
      `dateTime` - Date in format: DD-MM-YY hh:mm:ss DST
    Throws:
      `java.lang.Exception`